<?php

namespace Api\Logout;

use Khofmann\Api\Api;
use Khofmann\Models\User\User;
use Khofmann\Request\Request;
use Khofmann\Response\Response;

class Logout extends Api
{
  public function post(): void
  {
    // Get user auth token.
    $token = Request::token();

    // Log out.
    Response::json(User::getByToken($token)->logOut());
  }
}
